petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMallocGetMaximumUsage

gets the maximum amount of memory used that was PetscMalloc()ed at any time during this run.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocGetMaximumUsage(PetscLogDouble *space)

Not Collective Many br

### Output Parameters

space -maximum number of bytes ever allocated at one time Many br

Many br

### See Also

PetscMallocDump(), PetscMallocDumpLog(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMemoryGetCurrentUsage() Many br

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages